Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.sitemap
Class SpringComponentProvider

    java.lang.Object
      org.apache.cocoon.sitemap.SpringComponentProvider

All Implemented Interfaces:
  ComponentProvider

    public class SpringComponentProvider

extends Object
implements ComponentProvider

Constructor Summary
`SpringComponentProvider()`

Method Summary
`Action` | `createAction(String type)`
`PipelineComponent` | `createComponent(String type)`
`Pipeline<PipelineComponent>` | `createPipeline(String type)`
`LanguageInterpreter` | `getLanguageInterpreter(String language)`
`void` | `setActionFactory(ActionFactory actionFactory)`
`void` | `setLanguageInterpreterFactory(LanguageInterpreterFactory languageInterpreterFactory)`
`void` | `setPipelineComponentFactory(PipelineComponentFactory pipelineComponentFactory)`
`void` | `setPipelineFactory(PipelineFactory pipelineFactory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringComponentProvider

    public SpringComponentProvider()

Method Detail

### createAction

    public Action createAction(String type)

  Specified by:
    `createAction` in interface `ComponentProvider`
  See Also:
    `ComponentProvider.createAction(java.lang.String)`

### createComponent

    public PipelineComponent createComponent(String type)

  Specified by:
    `createComponent` in interface `ComponentProvider`
  See Also:
    `ComponentProvider.createComponent(java.lang.String)`

### createPipeline

    public Pipeline<PipelineComponent> createPipeline(String type)

  Specified by:
    `createPipeline` in interface `ComponentProvider`
  See Also:
    `ComponentProvider.createPipeline(java.lang.String)`

### getLanguageInterpreter

    public LanguageInterpreter getLanguageInterpreter(String language)

  Specified by:
    `getLanguageInterpreter` in interface `ComponentProvider`

### setActionFactory

    public void setActionFactory(ActionFactory actionFactory)

### setLanguageInterpreterFactory

    public void setLanguageInterpreterFactory(LanguageInterpreterFactory languageInterpreterFactory)

### setPipelineComponentFactory

    public void setPipelineComponentFactory(PipelineComponentFactory pipelineComponentFactory)

### setPipelineFactory

    public void setPipelineFactory(PipelineFactory pipelineFactory)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright � 2008-2010 The Apache Software Foundation. All Rights Reserved.